INSTALL

                                                    Hirotsugu Kakugawa
                                               h.kakugawa@computer.org



1. To install VFlib2, following libraries are necessary. 
   Obtain, compile, and install them before you compile VFlib.

  * FreeType 1.1 or later (if you want use TrueType fonts)
    Obtain it from 
       ftp://ftp.freetype.org/pub/freetype/
    or see
       http://www.freetype.org/
    
2. To compile, run the `configure' script and run 'make'

       % ./configure  [RETURN]
       % make   [RETURN]

   *NOTE* By default, VFlib is compiled not to use TrueType driver using
   FreeType. To compile VFlib to enable this features, run configure 
   program with the following long options, for example. Probably, most 
   users do this. (The same shell script is 'run-conf'.)

       % ./configure --with-freetype \
                       --with-freetype-includedir=/usr/local/include \
                       --with-freetype-libdir=/usr/local/lib [RETURN]
       % make   [RETURN]


3. Become a super user (root) and install VFlib
       % su  [RETURN]
       Password: ???????  [RETURN]   (password for root)
       # make install  [RETURN]


That's it.
